"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const electron_1 = require("electron");
const allowedSendChannels = [
    'auth_request',
    'theme',
    'set-env',
    'find-in-page',
    'custom-keybindings',
    'voice-data',
    'voice-capture',
];
const allowedReceiveChannels = [
    'auth',
    'find-in-page',
    'voice-capture',
    'open-node',
    'undo',
    'redo',
    'custom-keybindings',
    'voice-data',
];
electron_1.contextBridge.exposeInMainWorld('electron', {
    send: (message) => {
        if (!allowedSendChannels.includes(message.channel)) {
            console.warn(`${message.channel}: Not allowed to send to main process`);
            return;
        }
        electron_1.ipcRenderer.send(message.channel, message);
    },
    receive: (ipcRecieveMessage) => {
        if (!allowedReceiveChannels.includes(ipcRecieveMessage.channel)) {
            console.warn(`${ipcRecieveMessage.channel}: Not allowed to receive from main process`);
            return;
        }
        electron_1.ipcRenderer.on(ipcRecieveMessage.channel, (event, args) => ipcRecieveMessage.callback(args));
    },
});
//# sourceMappingURL=preload.js.map